Package org.gradle.util

## Class SingleMessageLogger

- java.lang.Object
- - org.gradle.internal.deprecation.DeprecationLogger
  - - org.gradle.util.SingleMessageLogger

-     @Deprecated
      public class SingleMessageLogger
      extends org.gradle.internal.deprecation.DeprecationLogger

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleMessageLogger()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.gradle.internal.deprecation.DeprecationLogger

      `deprecate, deprecateAction, deprecateBehaviour, deprecateBuildInvocationFeature, deprecateConfiguration, deprecateIndirectUsage, deprecateInternalApi, deprecateInvocation, deprecateMethod, deprecateNamedParameter, deprecatePlugin, deprecateProperty, deprecateSystemProperty, deprecateTask, deprecateTaskType, deprecateType, getDeprecationFailure, init, reportSuppressedDeprecations, reset, warnOfChangedBehaviour, whileDisabled, whileDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleMessageLogger

          public SingleMessageLogger()

      Deprecated.